Package org.apache.storm.redis.trident.state

## Class RedisClusterMapState.Factory

- java.lang.Object
- - org.apache.storm.redis.trident.state.RedisClusterMapState.Factory

- All Implemented Interfaces:
    `Serializable`, `StateFactory`
  Enclosing class:
    RedisClusterMapState<T>

      protected static class RedisClusterMapState.Factory
      extends Object
      implements StateFactory

  RedisClusterMapState.Factory provides Redis Cluster environment version of StateFactory.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.apache.commons.pool2.impl.GenericObjectPoolConfig<redis.clients.jedis.Connection>` | `DEFAULT_POOL_CONFIG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory​(JedisClusterConfig jedisClusterConfig, StateType type, Options options)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `State` | `makeState​(Map<String,​Object> conf, IMetricsContext metrics, int partitionIndex, int numPartitions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_POOL_CONFIG

          public static final org.apache.commons.pool2.impl.GenericObjectPoolConfig<redis.clients.jedis.Connection> DEFAULT_POOL_CONFIG

  - ### Constructor Detail

    - #### Factory

          public Factory​(JedisClusterConfig jedisClusterConfig,
                         StateType type,
                         Options options)

      Constructor.
      Parameters:
        `jedisClusterConfig` - configuration for JedisCluster
        `type` - StateType
        `options` - options of State

  - ### Method Detail

    - #### makeState

          public State makeState​(Map<String,​Object> conf,
                                 IMetricsContext metrics,
                                 int partitionIndex,
                                 int numPartitions)

      Specified by:
        `makeState` in interface `StateFactory`